package Manager;
use Exporter;
use vars qw(@ISA);
@ISA = qw(Client);

use strict;

sub checkDecency {
    # allow all.
    return 1;
}


sub handleCommand {
    my $self = shift;
    my $command = shift;

    $_ = $command;

    if (/^~k (\S+)/) {
	my $nick = $1;
	if (defined Client::find($nick)) {
	    Client::find($nick)->handleCommand('.x');
	    $self->send("901 kicked $nick");
	} else {
	    $self->send("902 $nick not kicked, not found");
	}
    }

    if (not defined $self->{'channel'}) {
	$self->SUPER::handleCommand($command);
    }

    if (/^~b *(.*)/) {
	$self->{'channel'}->badWord($1);
    } elsif (/^~i *(.*)/) {
	$self->{'channel'}->ignoredWord($1);
    } else {
      $self->SUPER::handleCommand($command);
    }
}

1;
